Bug 109188 - AutoText Preview doesn't work when default template is read-only
Summary: AutoText Preview doesn't work when default template is read-only
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.3.6 target:5.4.1
Keywords:
Depends on:
Blocks: AutoText
  Show dependency treegraph
 
Reported: 2017-07-18 11:06 UTC by Samuel Mehrbrodt (CIB)
Modified: 2017-07-20 11:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2017-07-18 11:06:43 UTC
The preview creation fails when LibreOffice has a default template which is set read-only.
An error message is shown and the preview is missing from the AutoText dialog.
Comment 1 Commit Notification 2017-07-19 14:01:38 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bde72cdae1e7e001d5089c5284672c976b8e43df

tdf#109188 Always load documents read-only in SwOneExampleFrame

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2017-07-20 11:34:23 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=14f9bb560cc1ebf588683bcf2297ab44cb8993eb&h=libreoffice-5-3

tdf#109188 Always load documents read-only in SwOneExampleFrame

It will be available in 5.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-07-20 11:34:31 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e26eb2f2728469d18caa28f9551c2eee85b1d7ec&h=libreoffice-5-4

tdf#109188 Always load documents read-only in SwOneExampleFrame

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.